org.springframework.data.relational.core.sql

## Interface InsertBuilder

    public interface InsertBuilder

Entry point to construct an `Insert` statement.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder
See Also:
  `StatementBuilder`

### Nested Class Summary

Nested Classes
`static interface` `InsertBuilder.BuildInsert` Interface exposing the `Insert` build method.
`static interface` `InsertBuilder.InsertIntoColumnsAndValues` Interface exposing `WHERE` methods.
`static interface` `InsertBuilder.InsertIntoColumnsAndValuesWithBuild` Interface exposing `value` methods to add values to the `INSERT` statement and the build method.
`static interface` `InsertBuilder.InsertValues` Interface exposing `value` methods to add values to the `INSERT` statement.
`static interface` `InsertBuilder.InsertValuesWithBuild` Interface exposing `value` methods to add values to the `INSERT` statement and the build method.

### Method Summary

All Methods Instance Methods Abstract Methods
`InsertBuilder.InsertIntoColumnsAndValuesWithBuild` `into(Table table)` Declare a `Table` to `INSERT INTO`.

### Method Detail

#### into

    InsertBuilder.InsertIntoColumnsAndValuesWithBuild into(Table table)

Declare a `Table` to `INSERT INTO`.

Parameters:
  `table` - the table to `INSERT INTO` must not be null.
Returns:
  `this` builder.
See Also:
  `Into`, `SQL.table(String)`